<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>
<div id="respond">
	<ol class="comment-list">
        <?php
        wp_list_comments( array(
			'callback' => 'mytheme_comment',
            'style'       => 'ol',
            'short_ping'  => true,
            'avatar_size' => 80,
        ) );
        ?>
    </ol><!-- .comment-list -->
	
	<?php
		 // Are there comments to navigate through?
		if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
			<nav class="navigation comment-navigation" role="navigation">
				<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'larx' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'larx' ) ); ?></div>
			</nav><!-- .comment-navigation -->
		<?php endif; // Check for comment navigation ?>
	
		<?php if ( ! comments_open() && get_comments_number() ) : ?>
			<p class="no-comments"><?php _e( 'Comments are closed.' , 'larx' ); ?></p>
		<?php endif; ?>
</div>
<?php
$aria_req = ( $req ? " aria-required='true'" : '' );
$comment_args = array(
	'title_reply'=> __('ADD A COMMENT', 'larx'),
	'fields' => apply_filters( 'comment_form_default_fields', array(
		'author' => '
			<div class="i-blog-comments">
				<p><input type="text" name="author"  placeholder="'.esc_attr( 'Name (required)', 'larx' ).'" id="name" value="' . esc_attr( $commenter['comment_author'] ) . '" ' . $aria_req . ' /></p>
		',
		'email' => '
			
				<p><input id="mail" name="email"  placeholder="'.esc_attr( 'Email (required)', 'larx' ).'" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" ' . $aria_req . ' /></p>
			
		',
		'url' => '
			
				<p><input id="url" name="url"  placeholder="'.esc_attr( 'Website', 'larx' ).'" size="22" tabindex="3" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '"  /></p>
			 </div>
		'
	)),
	'comment_field' => '<p><textarea cols="58" rows="10" id="comment" tabindex="4" placeholder="'.esc_attr( 'Your Message (required)', 'larx' ).'"  name="comment"'.$aria_req.'></textarea></p>',
	'label_submit' => 'Send Comment',
	'comment_notes_before' => '',
	'comment_notes_after' => '',
);
?>
<?php global $post; ?>
<?php if('open' == $post->comment_status){ ?>
	<?php comment_form($comment_args); ?>
<?php } ?>